#ifndef MESH_FIT_FILTER_H
#define MESH_FIT_FILTER_H

#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>

class MeshFitFilter : public vtkUnstructuredGridAlgorithm {
public:
	static MeshFitFilter *New();
	vtkTypeMacro(MeshFitFilter, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~MeshFitFilter() override = default;
};

#endif
